[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Issue 1124 in lilypond: implement \eyeglasses usinga'pathexpression

From: Phil Holmes
Subject: Re: Issue 1124 in lilypond: implement \eyeglasses usinga'pathexpression
Date: Tue, 7 Sep 2010 12:54:17 +0100

"Patrick McCarty" <address@hidden> wrote in message news:address@hidden
On Mon, Sep 6, 2010 at 11:03 AM, Phil Holmes <address@hidden> wrote:
"Graham Percival" <address@hidden> wrote:
On Mon, Sep 6, 2010 at 3:59 PM, Phil Holmes <address@hidden> wrote:

FWIW I don't think it can be verified in Windows, since I don't seem able
write SVG files.

Oh good heavens, I didn't produce a svg file! I just check to see if
the web git interface reported that the patch was added to lilypond.

I've not really learnt that lot, either. TBH I'm happy to spend a little
time to make sure the fix works, but if I can't do it, I have to rely on
someone else.

If you want to test the SVG output, just use the "-dbackend=svg"
command-line switch when compiling your file.

I just test-compiled the regression test "markup-eyeglasses.ly" with a
fresh 2.13.32 installation on Windows, and the SVG output looks as

Let me know if this works for you or if you have any questions.


That command line switch works, thanks.

I do struggle to find the correct command line syntax. a) Why is if -fpng for one graphics option and -dbackend=svg for another? And if Lilypond can't use the command line option supplied, why no error message? I also think these (at least the common ones) should be in preferably the Learning Manual, but certainly one of the pdf docs.

Phil Holmes
Bug Squad

reply via email to

[Prev in Thread] Current Thread [Next in Thread]